Package com.mapd.thrift.server

## Class MapD.AsyncProcessor.render_vega<I extends MapD.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,​MapD.render_vega_args,​TRenderResult>
  - - com.mapd.thrift.server.MapD.AsyncProcessor.render_vega<I>

Enclosing class:
  MapD.AsyncProcessor<I extends MapD.AsyncIface>

    public static class MapD.AsyncProcessor.render_vega<I extends MapD.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,​MapD.render_vega_args,​TRenderResult>

### Constructor Summary

Constructors
`render_vega()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MapD.render_vega_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<TRenderResult>` `getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start​(I iface, MapD.render_vega_args args, org.apache.thrift.async.AsyncMethodCallback<TRenderResult> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### render_vega

    public render_vega()

### Method Detail

#### getEmptyArgsInstance

    public MapD.render_vega_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends MapD.AsyncIface,​MapD.render_vega_args,​TRenderResult>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<TRenderResult> getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                       int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends MapD.AsyncIface,​MapD.render_vega_args,​TRenderResult>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends MapD.AsyncIface,​MapD.render_vega_args,​TRenderResult>`

#### start

    public void start​(I iface,
                      MapD.render_vega_args args,
                      org.apache.thrift.async.AsyncMethodCallback<TRenderResult> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends MapD.AsyncIface,​MapD.render_vega_args,​TRenderResult>`
Throws:
  `org.apache.thrift.TException`